Skip to main content
GET
List UDF attachments
Beta Disclaimer: This beta endpoint is evolving; the API contract may change.

Returns the current service attachments for a UDF, with at most one attachment per service.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
required

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$

Query Parameters

cursor
string

Cursor returned in pagination.nextCursor from the previous page.

limit
integer
default:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

Required range: x <= 100

Response

Successful response.

status
integer
required

HTTP status code.

Example:

200

requestId
string<uuid>
required

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
result
object
required
Last modified on August 3, 2026